module.exports = {
  setupFiles: ["./testConfig/test-shim.js", "jest-canvas-mock", "./testConfig/test-setup.js"],
  setupFilesAfterEnv: ["@testing-library/jest-dom/extend-expect"],
  snapshotSerializers: ["jest-emotion"],
  transform: {
    "^.+\\.[j|t]sx?$": "babel-jest",
  },
  testPathIgnorePatterns: ["/node_modules/", "/build/", "/componentlib-test/"],
  testRegex: "(/__tests__/.*|(\\.|/)(test|spec))\\.(jsx?|tsx?)$",
  transformIgnorePatterns: ["node_modules/(?!(ol|geodesy)/)"],
  moduleNameMapper: {
    "^.+\\.(css|less|scss)$": "babel-jest",
  },
  moduleFileExtensions: ["ts", "tsx", "js", "jsx", "json", "node"],
  coverageReporters: ["text", "text-summary", "html"],
  coverageDirectory: "testConfig/coverageReport",
  collectCoverageFrom: ["**/src/**/*.{ts,tsx}"],
  coverageThreshold: {
    global: {
      statements: 9,
      branches: 5,
      functions: 10,
      lines: 9,
    },
  },
  coverageProvider: "v8", // this fixes https://github.com/testing-library/react-testing-library/issues/622 issue
  testEnvironment: "jest-environment-jsdom-sixteen",
};
