const webpack = require("webpack");
const webpackMerge = require("webpack-merge");
const baseConfig = require("./webpack.config.base");

const mode = "production";
const GLOBALS = {
  "process.env.NODE_ENV": JSON.stringify(mode),
  APP_VERSION: JSON.stringify(require("./package.json").version),
};

module.exports = webpackMerge(baseConfig, {
  mode,
  devtool: "hidden-source-map",
  stats: "errors-only",
  optimization: {
    minimize: true,
  },
  plugins: [
    new webpack.LoaderOptionsPlugin({
      minimize: true,
    }),
    new webpack.DefinePlugin(GLOBALS),
  ],
  module: {
    rules: [
      {
        enforce: "pre",
        test: /\.[jt]sx?$/,
        exclude: /node_modules/,
        loader: "eslint-loader",
        options: {
          failOnError: true,
        },
      },
    ],
  },
});
